<?php
date_default_timezone_set('America/Lima');

class cProductovencimento_cst{
	
	

	function mostrar_filtro($fec1,$fec2,$lab){
		$sql="SELECT p.*,c.*,pr.*,ct.*,u.*,em.*,pr.*
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		 inner join tb_empaque em on em.tb_empaque_id = p.tb_empaque_id
		LEFT JOIN tb_unidad u ON ct.tb_unidad_id=u.tb_unidad_id
        left join tb_productomarca pmar on pmar.tb_catalogo_id = ct.tb_catalogo_id
		left join tb_marca m on pmar.tb_marca_id = m.tb_marca_id
		left join tb_productomarcacodigo pmarcod on pmarcod.tb_productomarca_id = pmar.tb_productomarca_id
		left join tb_productofamilia pfam on pfam.tb_catalogo_id = ct.tb_catalogo_id
		left join tb_familia f on pfam.tb_familia_id = f.tb_familia_id
		WHERE tb_producto_xac='1' ";
		
		$sql.=" AND pmar.tb_productomarca_fecven BETWEEN  '$fec1' AND '$fec2' ";	
		if($lab!="")$sql.=" AND m.tb_marca_nom like '%$lab%' ";
		
		$sql.=" order by pmar.tb_productomarca_fecven asc ";

		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	

	
}
?>